# Method: projects.locations.assets.reportAssetFrames

- [HTTP request](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.assets/reportAssetFrames#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.assets/reportAssetFrames#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.assets/reportAssetFrames#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.assets/reportAssetFrames#body.request_body)
- [Response body](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.assets/reportAssetFrames#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.assets/reportAssetFrames#body.aspect)
- [Frames](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.assets/reportAssetFrames#Frames)
  - [JSON representation](https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.assets/reportAssetFrames#Frames.SCHEMA_REPRESENTATION)

Reports a set of frames.

### HTTP request

`POST https://migrationcenter.googleapis.com/v1/{parent=projects/*/locations/*}/assets:reportAssetFrames`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent of the resource. |

### Query parameters

| Parameters ||
|---|---|
| `source` | `string` Required. Reference to a source. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.assets/reportAssetFrames#Frames`.

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/external/authorization-gcp).

## Frames

Collection of frame data.

| JSON representation |
|---|
| ``` { "framesData": [ { object (`https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.sources.errorFrames#AssetFrame`) } ] } ``` |

| Fields ||
|---|---|
| `framesData[]` | ``object (`https://docs.cloud.google.com/migration-center/docs/reference/rest/v1/projects.locations.sources.errorFrames#AssetFrame`)`` A repeated field of asset data. |